org.gjt.sp.jedit.gui

## Class PanelWindowContainer

- java.lang.Object
- - org.gjt.sp.jedit.gui.PanelWindowContainer

All Implemented Interfaces:
  DockableWindowManager.DockingArea

    public class PanelWindowContainer
    extends java.lang.Object
    implements DockableWindowManager.DockingArea

A container for dockable windows. This class should never be used directly.

Since:
  jEdit 4.0pre1

### Nested Class Summary

Nested Classes
`static class` `PanelWindowContainer.RotatedTextIcon`

### Constructor Summary

Constructors
Constructor and Description
`PanelWindowContainer(DockableWindowManagerImpl wm, java.lang.String position, int dimension)`

### Method Summary

Methods
`java.lang.String` `getCurrent()` Returns the name of the dockable in this container.
`int` `getDimension()` Returns the width or height (depending on position) of the dockable window container.
`java.lang.String[]` `getDockables()`
`DockableWindowManagerImpl` `getDockableWindowManager()`
`java.lang.String` `getPosition()`
`boolean` `isVisible(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`
`void` `register(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`
`void` `remove(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`
`void` `show(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`
`void` `show(java.lang.String name)`
`void` `showMostRecent()`
`void` `unregister(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PanelWindowContainer

    public PanelWindowContainer(DockableWindowManagerImpl wm,
                        java.lang.String position,
                        int dimension)

### Method Detail

#### getDockableWindowManager

    public DockableWindowManagerImpl getDockableWindowManager()

Since:
  jEdit 4.3pre2

#### register

    public void register(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

#### unregister

    public void unregister(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

#### remove

    public void remove(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

#### showMostRecent

    public void showMostRecent()

Specified by:
  `showMostRecent` in interface `DockableWindowManager.DockingArea`

#### show

    public void show(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

#### isVisible

    public boolean isVisible(org.gjt.sp.jedit.gui.DockableWindowManagerImpl.Entry entry)

#### getCurrent

    public java.lang.String getCurrent()

Returns the name of the dockable in this container.

Specified by:
  `getCurrent` in interface `DockableWindowManager.DockingArea`
Since:
  jEdit 4.2pre1

#### getDimension

    public int getDimension()

Returns the width or height (depending on position) of the dockable window container.

Since:
  jEdit 4.2pre1

#### getPosition

    public java.lang.String getPosition()

Since:
  jEdit 4.3pre2

#### getDockables

    public java.lang.String[] getDockables()

Specified by:
  `getDockables` in interface `DockableWindowManager.DockingArea`

#### show

    public void show(java.lang.String name)

Specified by:
  `show` in interface `DockableWindowManager.DockingArea`